Package org.opensaml.saml.saml1.core.impl

# Class ResponseAbstractTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml1.core.impl.ResponseAbstractTypeImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `ResponseAbstractType`, `SignableXMLObject`

Direct Known Subclasses:
  `ResponseImpl`

public abstract class ResponseAbstractTypeImpl extends AbstractSignableSAMLObject implements ResponseAbstractType
Abstract implementation of `ResponseAbstractType` Object.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`id`
Contains the ID.
`private String`
`inResponseTo`
Contents of the InResponseTo attribute.
`private Instant`
`issueInstant`
Contents of the IssueInstant attribute.
`private String`
`recipient`
Contents of the Recipient attribute.
`private SAMLVersion`
`version`
Message version.

### Fields inherited from interface org.opensaml.saml.saml1.core.ResponseAbstractType

`ID_ATTRIB_NAME, INRESPONSETO_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_NAME, ISSUEINSTANT_ATTRIB_QNAME, MAJORVERSION_ATTRIB_NAME, MINORVERSION_ATTRIB_NAME, RECIPIENT_ATTRIB_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ResponseAbstractTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getID()`
Get the ID.
`String`
`getInResponseTo()`
Return the InResponseTo (attribute).
`Instant`
`getIssueInstant()`
Return the Issue Instant (attribute).
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`String`
`getRecipient()`
Return the Recipient (attribute).
`String`
`getSignatureReferenceID()`
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.
`SAMLVersion`
`getVersion()`
Gets the SAML version for this message.
`void`
`setID(String newID)`
Set the ID.
`void`
`setInResponseTo(String to)`
Set the InResponseTo (attribute).
`void`
`setIssueInstant(Instant date)`
Set the Issue Instant (attribute).
`void`
`setRecipient(String recip)`
Set the Recipient (attribute).
`void`
`setVersion(SAMLVersion newVersion)`
Sets the SAML version for this message.

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### id

@Nullable private String id
Contains the ID.

### version

@Nullable private SAMLVersion version
Message version.

### inResponseTo

@Nullable private String inResponseTo
Contents of the InResponseTo attribute.

### issueInstant

@Nullable private Instant issueInstant
Contents of the IssueInstant attribute.

### recipient

@Nullable private String recipient
Contents of the Recipient attribute.

## Constructor Details

### ResponseAbstractTypeImpl

protected ResponseAbstractTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getID

@Nullable public String getID()
Get the ID.

Specified by:
  `getID` in interface `ResponseAbstractType`
Returns:
  the ID

### setID

public void setID(@Nullable String newID)
Set the ID.

Specified by:
  `setID` in interface `ResponseAbstractType`
Parameters:
  `newID` - what to set

### getInResponseTo

@Nullable public String getInResponseTo()
Return the InResponseTo (attribute).

Specified by:
  `getInResponseTo` in interface `ResponseAbstractType`
Returns:
  the InResponseTo (attribute).

### setInResponseTo

public void setInResponseTo(@Nullable String to)
Set the InResponseTo (attribute).

Specified by:
  `setInResponseTo` in interface `ResponseAbstractType`
Parameters:
  `to` - what to set

### getVersion

@Nullable public SAMLVersion getVersion()
Gets the SAML version for this message.

Specified by:
  `getVersion` in interface `ResponseAbstractType`
Returns:
  SAML version for this message

### setVersion

public void setVersion(@Nullable SAMLVersion newVersion)
Sets the SAML version for this message.

Specified by:
  `setVersion` in interface `ResponseAbstractType`
Parameters:
  `newVersion` - the SAML version for this message

### getIssueInstant

@Nullable public Instant getIssueInstant()
Return the Issue Instant (attribute).

Specified by:
  `getIssueInstant` in interface `ResponseAbstractType`
Returns:
  the IssueInstant

### setIssueInstant

public void setIssueInstant(@Nullable Instant date)
Set the Issue Instant (attribute). *

Specified by:
  `setIssueInstant` in interface `ResponseAbstractType`
Parameters:
  `date` - what to set

### getRecipient

@Nullable public String getRecipient()
Return the Recipient (attribute). .

Specified by:
  `getRecipient` in interface `ResponseAbstractType`
Returns:
  the Recipient

### setRecipient

public void setRecipient(@Nullable String recip)
Set the Recipient (attribute). *

Specified by:
  `setRecipient` in interface `ResponseAbstractType`
Parameters:
  `recip` - what to set

### getSignatureReferenceID

@Nullable public String getSignatureReferenceID()
Gets the value of the ID attribute for this SAML object which will be used as its signature reference.

Specified by:
  `getSignatureReferenceID` in interface `SignableSAMLObject`
Returns:
  the value of this SAMLObject ID attribute

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements